/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.portal.content;

import java.util.List;

import org.exoplatform.container.component.ComponentPlugin;

/**
 * Created by The eXo Platform SARL
 * Author : Tuan Nguyen
 *          tuan08@users.sourceforge.net
 * Feb 23, 2006
 */
public interface PortalContentService {
  
  public DocumentContent createDocumentContentInstance() ;
  public DocumentContent getDocumentById(String id) throws Exception ;
  public List<DocumentContent> getDocumentsByGroupId(String groupId) throws Exception ;
  public List<DocumentContent> getDocumentsByOwner(String owner) throws Exception ;
  public List<DocumentContent> getAllDocuments() throws Exception ;  
  public String getExternalContent(String id,String encoding) throws Exception ;
  public void  save(DocumentContent document) throws Exception ;
  public void update(DocumentContent document) throws Exception ;
  public void remove(DocumentContent document) throws Exception ;  
  public void addContentPlugin(ComponentPlugin plugin) throws Exception ;
}
