/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.portal.impl;

import org.exoplatform.services.organization.Membership;
import org.exoplatform.services.organization.MembershipEventListener;
/**
 * Author : Tuan Nguyen
 *          tuan08@ms.sourceforge.net
 * Wed, Feb 18, 2004 @ 21:33 
 */
public class PortalMembershipEventListener extends MembershipEventListener {
  
  private PortalConfigServiceImpl pservice_ ;

  public PortalMembershipEventListener(PortalConfigServiceImpl pservice) throws Exception {
    pservice_  = pservice ;
  }
  
  public void postSave(Membership m, boolean isNew) throws Exception { 
    pservice_.onModifiedOwner(m.getUserName()) ;
  }
  
  public void postDelete(Membership m) throws Exception {
    pservice_.onModifiedOwner(m.getUserName()) ;
  }
}
