<%import org.exoplatform.test.web.*;%>
<%import org.exoplatform.test.web.unit.WebUnit;%>

<html>
  <%= rmanager.include("org/exoplatform/test/web/report/templates/head.groovy") %>
  <body>
    <%= rmanager.include("org/exoplatform/test/web/report/templates/header.groovy") %>
    
    <table width="100%"  border="1">
      <tr>
        <th>Suite Name</th>
        <th>Units</th>
        <th>Run</th>
        <th>Time</th>
        <th>Broken</th>
        <th>TODO</th>
      </tr>
      <% def total = 0, runSum =0, timeSum = 0, brokenSum = 0, todoSum = 0 ; %>
      <% for(WebUnitSuite suite : suites) { %>
        <% def run = report.countUnitRun(suite); %>
        <% def time = report.countAvgExecutionTime (suite); %>
        <% def broken  = report.countStatus(suite, WebUnit.STATUS_BROKEN) ; %>
        <% def todo = report.countStatus(suite, WebUnit.STATUS_INCOMPLETE) ; %>
        <% total += suite.getWebUnits().size() ; %>
        <% runSum +=run ; %>
        <% timeSum +=time ; %>
        <% brokenSum += broken ; %>
        <% todoSum += todo ; %>
        <tr>
          <td><a href="$suite.name/index.html">$suite.name</a></td>
          <td><%= suite.getWebUnits().size() %></td>
          <td><%=run%></td>
          <td><%=time%></td>
          <td><%=broken%></td>
          <td><%=todo%></td>
        <tr>
      <%}%>
      <tr>
        <td>Total</td>
        <td>$total</td>
        <td>$runSum</td>
        <td>$timeSum</td>
        <td>$brokenSum</td>
        <td>$todoSum</td>
      </tr>
    </table>
    
    <%= rmanager.include("org/exoplatform/test/web/report/templates/footer.groovy") %>    
  </body>
</html>