/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package suites.runner;

import suites.portal.*;
import suites.share.NewAccountSuite;
import suites.share.UserLoginSuite;
import suites.share.UserLogoutSuite;
import org.exoplatform.test.web.* ;
import suites.ecm.user.* ;
import suites.categorybrowser.*;
/**
 * Created by The eXo Platform SARL
 * Author : Dung  Hoang
 *          dunghoang@exoplatform.com,jobdung@yahoo.com
 * Nov 8, 2005
 */
public class ECMPortalUserSuites extends TestSuites {
  public ECMPortalUserSuites() {        
    addSuite(new NewAccountSuite()) ;    
    String[] roles = ["user"] ;
    addSuite(new UserLoginSuite("#{client.name}", "#{client.name}", roles)) ;
    addSuite(new CustomizationNavigationSuite()) ;
    addSuite(new CustomizationPageSuite()) ;
    addSuite(new UserECMFileExplorerSuite()) ; 
    addSuite(new UserLogoutSuite());
  }
}
