/**
 * Copyright 2001-2003 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail. 
 */
package org.exoplatform.portal.faces.component;

import java.util.List;

import org.exoplatform.faces.core.component.UICheckBox;
import org.exoplatform.faces.core.component.UIExoComponentBase;
import org.exoplatform.faces.core.component.UIListStringInput;
import org.exoplatform.faces.core.component.UIStringInput;
import org.exoplatform.services.portal.model.Preference;
/**
 * Created y the eXo platform team
 * User: Benjamin Mestrallet
 * Date: 17 juin 2004
 */
public class UIPreference extends UIExoComponentBase  {
  
  public UIPreference(Preference preference) {
    setRendererType("ChildrenRenderer");
    String id = "preference" + hashCode() ;
    setId(id);
    List children = getChildren() ;
    children.add(new UIStringInput(id + "_name", preference.getName())) ;
    children.add(new UIListStringInput(id + "_value", preference.getValues())) ;
    UICheckBox uicheckbox = new UICheckBox(id + "_readonly", "true") ;
    uicheckbox.setSelect(preference.isReadOnly()) ;
    children.add(uicheckbox) ;
	}
}