package org.esupportail.cas.server.util;

/**
 * This class implements an exception that should be used by handlers
 * to tell the main class that a handler was not configured correctly.
 *
 * @author Pascal Aubry <pascal.aubry at univ-rennes1.fr>
 */
public final class MisconfiguredHandlerException extends Exception { 
	
	/**
	 * Constructor.
	 * 
	 * @param s the message of the exception
	 */
	public MisconfiguredHandlerException(final String s) {
		super(s);
	}
}

