/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package condition;

import com.meterware.httpunit.*;
import org.exoplatform.test.web.Util;
import org.exoplatform.test.web.ExoWebClient;
import org.exoplatform.test.web.condition.Condition;

/**
 * Dec 22, 2005
 * @author: Dung Hoang
 * @email:   jobdung@yahoo.com
 * @version: $Id: NoLinkWithURLCondition.groovy,v 1.1 2005/12/22 10:13:04 dunghoang Exp $
 **/
public class NoLinkWithURLCondition implements Condition {
  private String partOfURL_ ;
  
  public NoLinkWithURLCondition(String text) {
    partOfURL_ = text ;
  }
  
  public boolean checkCondition(WebResponse response, WebTable block, ExoWebClient client){
    WebLink link = Util.findLinkWithURL(response, block,partOfURL_) ;
    boolean test =  link == null ;
    return test ;
  }
  
  public String getName() { return "HaveLinkWithURLCondition" ; }
  public String getDescription() {
    return "This unit test should run only if the previous return response has the link with url" ;
  }
}