<html>  
  <head>
    <link rel='stylesheet' type='text/css' href='skins/webunit.css' />
    <script type="text/javascript">
      var RELOAD_RUN_TEST = "/webunit-suites/controller?action=runTest" ; 
      var NEXT_UNIT = "/webunit-suites/controller?action=runTest&subaction=nextUnit" ;
      
      function  reloadFrame(name, link) {
        var frame = parent.document.getElementById(name) ;
        frame.src = link;
      }
      
      function  nextUnit() {
        reloadFrame('result', NEXT_UNIT) ;
        setTimeout("reloadFrame('control', RELOAD_RUN_TEST)", 1000) ;
      }
    </script>
  </head>
  <body>
    <div class="toolbar">         
      <a title="Next unit" href="javascript:nextUnit();">
        <image class="icon" src="icons/next_unit.gif">
      </a>
      <a title="Set Break Point" target="result" 
        href="/webunit-suites/controller?action=runTest&subaction=setBreakPoint">
        <image class="icon" src="icons/debug.gif">
      </a>      
      <a title="Run" href="/webunit-suites/controller?action=runTest&subaction=run">
        <image class="icon" src="icons/run_all.gif">
      </a>
      <a title="Reset Test" href="/webunit-suites/controller?action=runTest&subaction=reset">
        <image class="icon" src="icons/reset.gif">
      </a>
      <image class="icon" src="icons/blank.gif">      
      
      <a title="Unit Result" target="result" 
         href="/webunit-suites/controller?action=runTest&subaction=showUnitResult">
        <image class="icon" src="icons/unit_result.gif">
      </a>
      <a title="Unit Summary" target="result" 
         href="/webunit-suites/controller?action=runTest&subaction=showUnitSummary">
        <image class="icon" src="icons/unit_summary.gif">
      </a>
      <a title="Suite Summary" target="result" 
        href="/webunit-suites/controller?action=runTest&subaction=showSuiteSummary">
        <image class="icon" src="icons/suite_summary.gif">
       </a>
      <image class="icon" src="icons/blank.gif">
           
      <a title="Config Test" target="result" 
        href="/webunit-suites/controller?action=configTest">
        <image class="icon" src="icons/config.gif">       
      </a>
      <a title="Select Suite" target="result"  href="/webunit-suites/controller?action=selectTest">
        <image class="icon" src="icons/suite_select.gif">        
       </a>
    </div>     
    <div>
      <%for(suite in suites.getSuites()) {%>
        <%if(suite.getStatus() > 0) {%>
          <div style="padding-left: 5px; color: blue">- $suite.name</div>
        <%} else {%>
          <div style="padding-left: 5px">- $suite.name</div>
        <%}%>  
        <%for(unit in suite.getWebUnits()) {%>
          <%def monitor = unit.getMonitor()%>
          <%if(monitor.getCounter() > 0) {%>
            <div style="padding-left: 25px; color: red">$unit.name</div>
          <%} else {%>
            <div style="padding-left: 25px">$unit.name</div>
          <%}%>
        <%}%>
     <%}%>
    </div>
  </body>
</html>